:root {
    --width: 650px;
    --font-main: monospace;
    --font-secondary: monospace;
    --font-scale: 1rem;

    --background-color: #FFFFFF;
    --heading-color: #f4163b;
    --text-color: #000000;
    --text-color-muted: color-mix(in srgb, var(--text-color) 50%, #FFF 50%);
    --link-color: #212322;

    --input-background-color: inherit;
    --input-text-color: inherit;

    --alert-info-bg-color: #d1ecf1;
    --alert-info-text-color: #0c5460;
    --alert-info-border-color: #0c5460;

    --alert-error-bg-color: #f8d7da;
    --alert-error-text-color: #721c24;
    --alert-error-border-color: red;
}

@media (prefers-color-scheme: dark) {
    :root {
        --background-color: #091413;
        --heading-color: #408A71;
        --text-color: #B0E4CC;
        --text-color-muted: color-mix(in srgb, var(--text-color) 50%, #000 50%);
        --link-color: #8cc2dd;

        --input-background-color: #091413;
        --input-text-color: var(--text-color);
    }
}

* { box-sizing: border-box; }
body {
    max-width: var(--width);
    margin: auto;
    padding: 20px;
    background-color: var(--background-color);
    font-family: var(--font-main);
    font-size: var(--font-scale);
    color: var(--text-color);
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-size: 1rem;
    color: var(--heading-color);
    text-transform: uppercase;
}

p,
span,
label {
    font-size: 1rem;
}

strong {
    font-weight: bold;
    color: var(--heading-color);
}

a {
    color: var(--link-color);
    cursor: pointer;
    text-decoration: none;

    &:hover {
        text-decoration: underline;
    }
}

input {
    margin: 0;
    background-color: var(--input-background-color, inherit);
    color: var(--input-text-color, inherit);

    &[type=file] {
        width: 100%;
        margin: 20px 0;
        padding: 20px;
        border: 1px solid var(--text-color-muted);
        cursor: pointer;
    }

    &[type=file] + span {
        font-size: .8rem;
    }
}


header {
    padding: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.title {
    color: black;
    text-transform: uppercase;

    h1::before {
        content: "[";
        padding-right: 3px;
    }

    h1::after {
        content: "]";
        padding-left: 3px;
    }
}

nav a {
    &::before {
        content: "[";
        padding-right: 3px;
    }

    &::after {
        content: "]";
        padding-left: 3px;
    }
}

fieldset {
    padding: 20px;
}

textarea {
    margin: 10px 0;
    width: 100%;
    background-color: var(--input-background, inheri);
    color: var(--text-color);
}


footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 20px;
    border-top: 1px solid #CCC;
    color: var(--text-color-muted);

    svg {
        width: 22px;
    }
}

.alert {
    border-left: 7px solid;
    padding: 7px 7px 7px 5px;
}

.alert-info {
    background-color: var(--alert-info-bg-color);
    color: var(--alert-info-text-color);
    border-color: var(--alert-info-border-color);
}

.alert-danger {
    background-color: var(--alert-error-bg-color);
    color: var(--alert-error-text-color);
    border-color: var(--alert-error-border-color);
}

.feature-list {
    display: grid;
    grid-template-columns: 1fr 1fr;
    row-gap: 15px;
    column-gap: 15px;
    margin: 10px 0;
}

.form-group {
    margin-bottom: 10px;
}

.decrypt-form {
    display: flex;
    gap: 10px;
    align-items: center;

    input {
        flex: 1 1 auto;
        min-width: 0;
    }

    button {
        flex: 0 0 auto;
    }
}

.inline {
    display: flex;
    margin-top: 10px;
    gap: 16px;
}
